# Gimp.ValueArray

    const Gimp = imports.gi.Gimp;

    let valueArray = new Gimp.ValueArray(n_prealloced: Number(gint));

The prime purpose of a Gimp.ValueArray is for it to be used as an object property that holds an array of values. A Gimp.ValueArray wraps an array of GObject.Value elements in order for it to be used as a boxed type through %GIMP_TYPE_VALUE_ARRAY.

Since 2.10

## Constructors

- Gimp.ValueArray.new
- Gimp.ValueArray.new_from_values

## Methods

- Gimp.ValueArray.prototype.append
- Gimp.ValueArray.prototype.copy
- Gimp.ValueArray.prototype.get_color_array
- Gimp.ValueArray.prototype.get_core_object_array
- Gimp.ValueArray.prototype.index
- Gimp.ValueArray.prototype.insert
- Gimp.ValueArray.prototype.length
- Gimp.ValueArray.prototype.prepend
- Gimp.ValueArray.prototype.ref
- Gimp.ValueArray.prototype.remove
- Gimp.ValueArray.prototype.truncate
- Gimp.ValueArray.prototype.unref